## cascading.stats.local
Class LocalStepStats

    java.lang.Object
      cascading.stats.CascadingStats
          cascading.stats.FlowStepStats
              cascading.stats.local.LocalStepStats

All Implemented Interfaces:
  Serializable

    public class LocalStepStats

extends FlowStepStats

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.stats.CascadingStats
`CascadingStats.Status`

Field Summary

Fields inherited from class cascading.stats.CascadingStats
`clientState, STATS_STORE_INTERVAL`

Constructor Summary
`LocalStepStats(FlowStep<Properties> flowStep, ClientState clientState)` Constructor CascadingStats creates a new CascadingStats instance.

Method Summary
`void` `captureDetail()`
`Collection` `getChildren()`
`Collection<String>` `getCounterGroups()`
`Collection<String>` `getCounterGroupsMatching(String regex)`
`Collection<String>` `getCountersFor(String group)`
`long` `getCounterValue(Enum counter)`
`long` `getCounterValue(String group, String counter)`
`void` `increment(Enum counter, long amount)`
`void` `increment(String group, String counter, long amount)`
`void` `recordChildStats()`

Methods inherited from class cascading.stats.FlowStepStats
`getFlowStep, getID, recordInfo, toString`

Methods inherited from class cascading.stats.CascadingStats

`cleanup, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, markFailed, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, setStatsStoreInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalStepStats

    public LocalStepStats(FlowStep<Properties> flowStep,
                          ClientState clientState)

  Constructor CascadingStats creates a new CascadingStats instance.

Method Detail

### recordChildStats

    public void recordChildStats()

  Specified by:
    `recordChildStats` in class `FlowStepStats`

### getCounterGroups

    public Collection<String> getCounterGroups()

  Specified by:
    `getCounterGroups` in class `CascadingStats`

### getCounterGroupsMatching

    public Collection<String> getCounterGroupsMatching(String regex)

  Specified by:
    `getCounterGroupsMatching` in class `CascadingStats`

### getCountersFor

    public Collection<String> getCountersFor(String group)

  Specified by:
    `getCountersFor` in class `CascadingStats`

### getCounterValue

    public long getCounterValue(Enum counter)

  Specified by:
    `getCounterValue` in class `CascadingStats`

### getCounterValue

    public long getCounterValue(String group,
                                String counter)

  Specified by:
    `getCounterValue` in class `CascadingStats`

### increment

    public void increment(Enum counter,
                          long amount)

### increment

    public void increment(String group,
                          String counter,
                          long amount)

### captureDetail

    public void captureDetail()

  Specified by:
    `captureDetail` in class `CascadingStats`

### getChildren

    public Collection getChildren()

  Specified by:
    `getChildren` in class `CascadingStats`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.